org.apache.hadoop.yarn.server.federation.store.records.impl.pb

## Class SetSubClusterPolicyConfigurationRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.SetSubClusterPolicyConfigurationRequest
  - - org.apache.hadoop.yarn.server.federation.store.records.impl.pb.SetSubClusterPolicyConfigurationRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class SetSubClusterPolicyConfigurationRequestPBImpl
      extends SetSubClusterPolicyConfigurationRequest

  Protocol buffer based implementation of `SetSubClusterPolicyConfigurationRequest`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetSubClusterPolicyConfigurationRequestPBImpl()`
    `SetSubClusterPolicyConfigurationRequestPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SetSubClusterPolicyConfigurationRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `SubClusterPolicyConfiguration` | `getPolicyConfiguration()` Get the policy configuration assigned to the queue.
    `org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SetSubClusterPolicyConfigurationRequestProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setPolicyConfiguration(SubClusterPolicyConfiguration policyConfiguration)` Set the policyConfiguration configuration for the queue.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.federation.store.records.SetSubClusterPolicyConfigurationRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SetSubClusterPolicyConfigurationRequestPBImpl

          public SetSubClusterPolicyConfigurationRequestPBImpl()

    - #### SetSubClusterPolicyConfigurationRequestPBImpl

          public SetSubClusterPolicyConfigurationRequestPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SetSubClusterPolicyConfigurationRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SetSubClusterPolicyConfigurationRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getPolicyConfiguration

          public SubClusterPolicyConfiguration getPolicyConfiguration()

      Description copied from class: `SetSubClusterPolicyConfigurationRequest`
      Get the policy configuration assigned to the queue.
      Specified by:
        `getPolicyConfiguration` in class `SetSubClusterPolicyConfigurationRequest`
      Returns:
        the policy for the specified queue

    - #### setPolicyConfiguration

          public void setPolicyConfiguration(SubClusterPolicyConfiguration policyConfiguration)

      Description copied from class: `SetSubClusterPolicyConfigurationRequest`
      Set the policyConfiguration configuration for the queue.
      Specified by:
        `setPolicyConfiguration` in class `SetSubClusterPolicyConfigurationRequest`
      Parameters:
        `policyConfiguration` - the policyConfiguration for the specified queue

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.